beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From al...@apache.org
Subject [beam] branch master updated: Add Python 3.6, 3.7 to the list of supported version classifiers.
Date Mon, 17 Jun 2019 22:42:00 GMT
This is an automated email from the ASF dual-hosted git repository.

altay pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/beam.git


The following commit(s) were added to refs/heads/master by this push:
     new e295aa8  Add Python 3.6, 3.7 to the list of supported version classifiers.
     new 3c61ab8  Merge pull request #8867 from tvalentyn/classifiers
e295aa8 is described below

commit e295aa89652c79be24958bf456b4cdb3736bebd1
Author: Valentyn Tymofieiev <valentyn@google.com>
AuthorDate: Fri Jun 14 17:17:34 2019 -0700

    Add Python 3.6, 3.7 to the list of supported version classifiers.
---
 .../src/main/python-release/python_release_automation.sh | 16 +++++++---------
 sdks/python/setup.py                                     |  6 ++++--
 2 files changed, 11 insertions(+), 11 deletions(-)

diff --git a/release/src/main/python-release/python_release_automation.sh b/release/src/main/python-release/python_release_automation.sh
index 8b305ae..4c52762 100755
--- a/release/src/main/python-release/python_release_automation.sh
+++ b/release/src/main/python-release/python_release_automation.sh
@@ -19,12 +19,10 @@
 source release/src/main/python-release/run_release_candidate_python_quickstart.sh
 source release/src/main/python-release/run_release_candidate_python_mobile_gaming.sh
 
-run_release_candidate_python_quickstart    "tar"   "python2.7"
-run_release_candidate_python_mobile_gaming "tar"   "python2.7"
-run_release_candidate_python_quickstart    "wheel" "python2.7"
-run_release_candidate_python_mobile_gaming "wheel" "python2.7"
-
-run_release_candidate_python_quickstart    "tar"   "python3.5"
-run_release_candidate_python_mobile_gaming "tar"   "python3.5"
-run_release_candidate_python_quickstart    "wheel" "python3.5"
-run_release_candidate_python_mobile_gaming "wheel" "python3.5"
+for version in 2.7 3.5 3.6 3.7
+do
+  run_release_candidate_python_quickstart    "tar"   "python${version}"
+  run_release_candidate_python_mobile_gaming "tar"   "python${version}"
+  run_release_candidate_python_quickstart    "wheel" "python${version}"
+  run_release_candidate_python_mobile_gaming "wheel" "python${version}"
+done
diff --git a/sdks/python/setup.py b/sdks/python/setup.py
index 6ef9b7f..fc54702 100644
--- a/sdks/python/setup.py
+++ b/sdks/python/setup.py
@@ -173,8 +173,8 @@ python_requires = '>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*'
 
 if sys.version_info[0] == 3:
   warnings.warn(
-      'Python 3 support for the Apache Beam SDK is not yet fully supported. '
-      'You may encounter buggy behavior or missing features.')
+      'Some syntactic constructs of Python 3 are not yet fully supported by '
+      'Apache Beam.')
 
 setuptools.setup(
     name=PACKAGE_NAME,
@@ -218,6 +218,8 @@ setuptools.setup(
         'Operating System :: POSIX :: Linux',
         'Programming Language :: Python :: 2.7',
         'Programming Language :: Python :: 3.5',
+        'Programming Language :: Python :: 3.6',
+        'Programming Language :: Python :: 3.7',
         'Topic :: Software Development :: Libraries',
         'Topic :: Software Development :: Libraries :: Python Modules',
     ],


Mime
View raw message